Prerequisites and requirements

The following packages must be pre-installed on your Red Hat® Enterprise Linux® systems before you installModern Client Management (MCM):

MDM Server
The target computers must have the following elements installed:
  • The computer must be running on RHEL 7+ or RHEL 8+
  • Docker (CE v19.x or RHEL version 1.13 or later) and Docker Compose 1.25.x
  • BigFix Client version 10.0.2 or later
  • OpenSSL
  • Unzip
Note: RHEL8 does not support Docker CE+ by default. For a workaround to install a compatible Docker CE+ version on RHEL8, see Installing Docker CE+ Docker compose on RHEL8
Plugin Portal
The target computers must have the following elements installed:
  1. BigFix Client version 10.0.2 or later
  2. Plugin Portal version 10.0.2 or later
  3. Mongo DB 4.2.3 or later
Note:
  • With BESAgent 10.0.1, the certificate inspection for expiry dates does not work. Therefore, BigFix Client version 10.0.2 is needed for certificate inspectors to check expiration of MDM certificates.
  • Plugin Portal 10.0.2 is required for some critical Plugin to Plugin Portal API changes to be compatible while upgrading to MCM v1.1.
  • If you upgrade the Plugin Portal to Platform 10.0.2, you must also upgrade MCM to 1.1 version to be compatible with the API changes.

Requirements